Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1279064 (minc-tools)

Summary: Review Request: minc-tools - Collection of tools that work on MINC format images
Product: [Fedora] Fedora Reporter: Igor Gnatenko <ignatenko>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: igor.raits, package-review, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-22 07:30:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1279056    
Bug Blocks: 1276941    

Description Igor Gnatenko 2015-11-07 15:51:13 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/minc-tools.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/minc-tools-2.3.00-1.fc24.src.rpm
Description:
This package is a collection of tools that work on MINC format
images.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-27 02:48:42 UTC
mincview uses display from ImageMagick. Requires is missing.

minchistory and mincpik are PERL scripts. The header should be modified to #!/usr/bin/perl. Then an automatic dependency on /usr/bin/perl will be generated, it is currently missing.

rpmlint:
minc-tools.i686: W: name-repeated-in-summary C minc-tools
Yeah, Summary is currently pretty much useless. What do those tools do? Current %description can be almost used as Summary, and %description should be extended to give some information about the capabilities of those tools.

minc-tools.i686: W: no-manual-page-for-binary minchistory
minc-tools.i686: W: no-manual-page-for-binary mincmorph
minc-tools.i686: W: no-manual-page-for-binary worldtovoxel
minc-tools.i686: W: no-manual-page-for-binary mincpik
minc-tools.src: W: name-repeated-in-summary C minc-tools
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-12-13 03:13:09 UTC
Build fails:

+ popd
~/build/BUILD/minc-tools-minc-tools-2-3-00
+ sed -i -e '1s/^#!.*$/#!/usr/bin/perl' /builddir/build/BUILDROOT/minc-tools-2.3.00-2.fc24.x86_64/usr/bin/minchistory /builddir/build/BUILDROOT/minc-tools-2.3.00-2.fc24.x86_64/usr/bin/mincpik
sed: -e expression #1, char 14: unknown option to `s'
error: Bad exit status from /var/tmp/rpm-tmp.peNzO2 (%install)

I think sed was confuse by too many dashes ;)

Comment 4 Zbigniew Jędrzejewski-Szmek 2017-03-05 22:33:20 UTC
?

Comment 5 Igor Raits 2018-08-22 07:30:14 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.